curl --request GET \
--url https://api.baselayer.com/lien_searches/adhoc \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/lien_searches/adhoc"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/lien_searches/adhoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"state": "PENDING",
"searched_states": [
"CA",
"GA"
],
"last_updated_at": "2024-06-01",
"error": "TimeoutError: The Liens Search could not be completed."
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Adhoc Lien Searches
This endpoint returns all adhoc lien searches.
Authorizations
Query Parameters
The query param, can either be a search name or a search id. If it is a search id, it will be used to search by id. If it is a search name, it will be used to search by name. If it is not provided, it will be ignored.
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Filter records created on or after this date (format: YYYY-MM-DD).
Filter records created on or before this date (format: YYYY-MM-DD).
IANA timezone identifier used to interpret start_date and end_date (defaults to UTC).
"UTC"
"America/Los_Angeles"
"Europe/London"
Response
Successful Response
ID of the liens adhoc search request
The name used for the ad-hoc liens search.
The current state of the liens search request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED Indicates the list of states specified in the liens search request.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS ["CA", "GA"]
The date the lien search result was last updated.
"2024-06-01"
Any errors that occurred during the liens search request.
"TimeoutError: The Liens Search could not be completed."